Update Service Request: RealPage Partner Exchange
PUT
https://api.propexo.com/v1/service-requests/realpage_rpx/:service_request_idWhen updating a service request, a new service request history record will also be created.
| Method | Interface |
|---|---|
| UpdateServiceRequest | Facilities |
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
service_request_id stringrequired
The Propexo unique identifier for the service request
Request
This endpoint expects an object.
status_rawstringrequired
The raw status associated with the service request
Show 4 enum values
In ProgressOn HoldCanceledCompletecompletion_notesstring
Closing notes associated with the service request
service_detailsstring
Details about the service request
Response
Successful response
meta objectrequired
job_idstringrequired
result objectrequired
service_request_idstringrequired
The Propexo unique identifier for the service request
status_rawstringrequired
The raw status associated with the service request
Show 4 enum values
In ProgressOn HoldCanceledCompletecompletion_notesstring
Closing notes associated with the service request
service_detailsstring
Details about the service request
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/service-requests/realpage_rpx/:service_request_id
curl -X PUT https://api.propexo.com/v1/service-requests/realpage_rpx/:service_request_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"status_raw": "In Progress"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"service_request_id": "string",
"status_raw": "In Progress",
"completion_notes": "string",
"service_details": "string"
}
}